> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/ldap/verifyconnection

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/ldap/verifyconnection
```

## Supported methods and overview&#x20;

* `POST` - used to verify the connection to an [LDAP user directory](/3.2/admin-platform/configuring-ldap.md).

## Detailed description&#x20;

This API endpoint verifies the connection to an LDAP user directory.

With this request, a core [subset of LDAP connection parameters must be submitted](/3.2/api/access-service-api-v1-ldap-verifyconnection.md#access-service-api-v1-ldap-verifyconnection-required-parameters), which includes the:

* address of the server running LDAP (along with the connection timeout duration),
* LDAP user directory's manager credentials (to perform LDAP authentication and synchronization),
* root node in LDAP from which the Covata Platform finds users and groups and
* LDAP field against which the Covata Platform matches the email address of a Covata user when they authenticate.

## Supported roles&#x20;

This API endpoint supports the following Covata user roles (as described in the [Covata Platform Administrator's Guide](/3.2/admin.md)):

* System administrator

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.2/api/access-service-api-v1-ldap-verifyconnection.md#access-service-api-v1-ldap-verifyconnection-required-headers) of requests to this endpoint.

## Required headers&#x20;

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6` \

  where the `Bearer` token is the appropriate access token.
* `Content-Type: application/json`

## Required parameters&#x20;

The following required parameters must be sent in the body of the POST request, each as individual members of a JSON object:

* **authFilter** - .
* **baseDN** - .
* **managerDN** - .
* **managerPassword** - .
* **serverTimeout** - .
* **serverUrl** - .

  **Example ():**

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.